Bug 4866 - Смена прав
: Смена прав
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/partitionmorpher)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-23 02:24 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-23 02:24:16
Мне казалось, что у нас принято использовать consolehelper для запуска 
программ, требующих прав рута. Как например в qtparted. Или это слишком 
сложный вариант, и как вы сделали - так проще?
------- Comment #1 From 2004-07-23 10:58:03 -------
оно в предыдущей сборке и было ч-з consolehelper, мне показалось что оно
несколько  не удобно. В плане того что если partitionmorpher при использовании
consolehelper запускать от рута то получим отлуп о недостатке прав... вот так а
использование gksu само по себе очень просто :) но если всё же хотите
возвращения consolehelper, я могу это сделать в следующей сборке
------- Comment #2 From 2004-07-23 11:31:19 -------
настоящий файл должен находится в /usr/sbin/, а ссылка на consolehelper - 
в /usr/bin/ 
При поиске под root в PATH первым стоит /usr/sbin, он и запускается. 
Вы можете посмотреть на пример qtparted, там нормально это работает. 
P.S. А перевод на русский ожидается? :) 
------- Comment #3 From 2004-07-23 12:18:38 -------
> При поиске под root в PATH первым стоит /usr/sbin, он и запускается.
нет я имел в виду что после su и работе от рута :), ну да ладно верну назад

а про перевод... от меня можно ждать только перевод на белорусский =)
------- Comment #4 From 2004-07-23 12:52:30 -------
Ну так su это неправильно, надо "su -" и никаких проблем. 
А перевод - так вы начните, а мы продолжим :) 
И потом, мне кажется, что на русский перевести у вас не хуже получится. 
------- Comment #5 From 2004-08-19 14:23:49 -------
ушло в инкоминг 
0.3-alt2
- fixed #4866
- added belarusian translation
- added russian and belarusian package descriptions.

Жду перевода на русский =)
------- Comment #6 From 2004-11-17 11:09:26 -------
0.3-alt2